# vim: set sw=4 ts=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               pam-google-authenticator
Version:            1.0
Release:            4.2%{?dist}
Summary:            Two-Factor Authentication Module that uses Google Authenticator
Source:             http://google-authenticator.googlecode.com/files/libpam-google-authenticator-%{version}-source.tar.bz2
Source2:            baselibs.conf
Patch1:             pam-google-authenticator-destdir.patch
URL:                http://code.google.com/p/google-authenticator/
Group:              Productivity/Security
License:            Apache-2.0
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      pam-devel
BuildRequires:      gcc make
Provides:           libpam-google-authenticator = %{version}

%description
The Google Authenticator project includes implementations of one-time passcode
generators for several mobile platforms, as well as a pluggable authentication
module (PAM). One-time passcodes are generated using open standards developed
by the Initiative for Open Authentication (OATH) (which is unrelated to OAuth).

These implementations support the HMAC-Based One-time Password (HOTP) algorithm
specified in RFC 4226 and the Time-based One-time Password (TOTP) algorithm
specified in RFC 6238.

The PAM module can add a two-factor authentication step to any PAM-enabled
application. It supports:
* Per-user secret and status file stored in user's home directory
* Support for 30-second TOTP codes
* Support for emergency scratch codes
* Protection against replay attacks
* Key provisioning via display of QR code
* Manual key entry of RFC 3548 base32 key strings

%prep
%setup -q -n "libpam-google-authenticator-%{version}"
%patch1

%build
%__make %{?_smp_mflags} \
    CC="%__cc" \
    CFLAGS="%{optflags}"

%install
%__make \
    CFLAGS="%{optflags}" \
    DESTDIR="%{buildroot}" \
    BINDIR="%{_bindir}" \
    LIBSEC="/%{_lib}/security" \
    install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc FILEFORMAT README
%{_bindir}/google-authenticator
/%{_lib}/security/pam_google_authenticator.so

%changelog
* Tue Jul 22 2014 darin@darins.net
- added baselibs.conf so -32bit packages are provided
* Fri Jul 11 2014 darin@darins.net
- update patch and .spec to install with correct name of the module.
* Mon Aug 20 2012 pascal.bleser@opensuse.org
- initial version (1.0)
